/// <reference types="react" />
import { ErrorObject } from 'ajv';
import { UISchemaElement } from '@jsonforms/core';
export declare function getUIOptions(uischema: UISchemaElement, defaultLabel: string): UIOptions;
export declare function AddButton(props: Pick<UIOptions, 'addButtonLabel' | 'addButtonLabelType'> & {
    onPress: () => void;
}): JSX.Element;
export declare function ArrayHeader(props: UIOptions & {
    add: () => void;
    labelText: string;
    allErrorsMessages: string[];
}): JSX.Element;
export declare function ArrayFooter(props: UIOptions & {
    add: () => void;
}): JSX.Element | null;
interface UIOptions {
    addButtonPosition: 'top' | 'bottom';
    addButtonLabel?: string;
    addButtonLabelType: 'tooltip' | 'inline';
}
export declare function getChildError(e: ErrorObject[], path: string): string | undefined;
export declare const UPDATE_DATA: 'jsonforms/UPDATE';
export declare const findValue: any;
export {};
